

if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	SWEP.HoldType			= "smg"
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "MP7 SUBMACHINEGUN"			
	SWEP.Author				= "Wolly"
	SWEP.Slot				= 3
	SWEP.SlotPos			= 5
	SWEP.IconLetter			= ""
	SWEP.ViewModelFOV       = 60
	SWEP.DrawCrosshair      = false
	
	killicon.AddFont( "weapon_smg1", "CSKillIcons", SWEP.IconLetter, Color( 255, 80, 0, 255 ) )
	
end


SWEP.Base				= "weapon_combine_basefix"
SWEP.ViewModelFlip      = false

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/weapons/v_smg1.mdl"
SWEP.WorldModel			= "models/weapons/w_smg1.mdl"

SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound("Weapon_SMG1.NPC_Single")
SWEP.Primary.Recoil			= 0.29
SWEP.Primary.Damage			= 4
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.14
SWEP.Primary.ClipSize		= 45
SWEP.Primary.Delay			= 0.08
SWEP.Primary.DefaultClip	= 200
SWEP.Primary.Automatic		= true
SWEP.Primary.Ammo			= "smg1"
SWEP.Primary.Tracer 		= "Tracer"

SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"

SWEP.IronSightsPos 		= Vector(  -6.44, -8, 2.55  )


function SWEP:Deploy() 
 self.Owner:ConCommand("toggleholster\n");
 self.Owner:ConCommand("toggleholster\n"); 
end

